#!/bin/sh

if [ $# -ne 1 ]
then
  echo "usage: out-dir" 1>&2
  exit 1
fi

if [ -z "${DOCUMENT_PANDOC_TEMPLATE}" ]
then
  echo "DOCUMENT_PANDOC_TEMPLATE is not set" 1>&2
  exit 1
fi

OUTDIR=$1
shift

for f in *.svg
do
  PNG_FILE=$(echo $f | sed 's/\.svg$/.png/g')
  PNG="${OUTDIR}/${PNG_FILE}"
  inkscape --export-type=png --export-filename="${PNG}" $f || exit 1
done

./document-pandoc.sh 'UDP Reliable Delivery Algorithms' document.pd > "${OUTDIR}/index.xhtml" || exit 1
cp *.css "${OUTDIR}" || exit 1
